Bug 1282218 - After detaching VMs from pool the number of pre started VMs in pool isn't changed
After detaching VMs from pool the number of pre started VMs in pool isn't cha...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt (Show other bugs)
3.6.0.2
Unspecified Unspecified
unspecified Severity high (vote)
: ovirt-4.0.0-beta
: 4.0.0
Assigned To: Shmuel Melamud
sefi litmanovich
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-15 10:56 EST by sefi litmanovich
Modified: 2016-07-05 04:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, after detaching a VM from VM pool the number of prestarted VMs in the pool wasn't changed and could become larger than total number of VMs in the pool. This issue was fixed and now the number of prestarted VMs in the pool is decreased automatically, if it becomes larger than total number of VMs in the pool.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-05 04:04:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
rule-engine: planning_ack+
michal.skrivanek: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 55918 master MERGED core: Update number of prestarted VMs after detaching a VM from Pool 2016-05-01 09:14 EDT

  None (edit)
Description sefi litmanovich 2015-11-15 10:56:27 EST
Description of problem:

If you have a pool with 4 VMs and 4 pre started VMs and then you stop and detach 1 VM, the number of pre started VMs will still be set to 4.
I would expect it to be updated according to the max amount of VMs in pool after detaching the VM.

Version-Release number of selected component (if applicable):

rhevm-3.6.0.3-0.1.el6.noarch

How reproducible:

always.
Comment 1 sefi litmanovich 2016-05-24 09:51:20 EDT
Verified with ovirt-engine-4.0.0-0.7.master.el7ev.noarch
Comment 2 Sandro Bonazzola 2016-07-05 04:04:45 EDT
oVirt 4.0.0 has been released, closing current release.

Note You need to log in before you can comment on or make changes to this bug.